/* Copyright (c) 2001-2009 by SoftIntegration, Inc. All Rights Reserved */
/* This is an example for iswcntrl(wint_t).  This returns a non-zero number 
   if it is a control wide character.  If not, it will return zero.  
*/
#include <wctype.h>
#include <wchar.h>

int main() { 
    wint_t wc;

    wc = 'i';
    fputwc(wc, stdout);
    if(iswcntrl(wc) > 0)
        printf(": is a wide control character.\n");
    else
        printf(": is not a wide control character.\n");
}

